Update folder
curl --request PUT \
--url https://app.autocalls.ai/api/user/folder/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>"
}
'import requests
url = "https://app.autocalls.ai/api/user/folder/{id}"
payload = {
"name": "<string>",
"color": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: '<string>'})
};
fetch('https://app.autocalls.ai/api/user/folder/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Folder updated successfully",
"data": { "id": 12, "name": "Acme Inc.", "color": "pink", "assistants_count": 4 }
}
{ "message": "Folder not found" }
Folders
Update folder
Rename a folder or change its color
PUT
/
user
/
folder
/
{id}
Update folder
Update a folder’s name or color. Only the fields you send are changed.
Path Parameters
integer
required
The folder ID. Must belong to your account.
Request Body
string
New name (max 255 characters). Must be unique within your account.
string
New color. One of:
gray, slate, red, orange, amber, green, teal, blue, purple, pink. Send null to clear it.Response
string
Success message
object
{
"message": "Folder updated successfully",
"data": { "id": 12, "name": "Acme Inc.", "color": "pink", "assistants_count": 4 }
}
{ "message": "Folder not found" }
⌘I

